#!/bin/sh

WORKDIR=$(pwd)

[ ! -d "$WORKDIR/new-desktop-directories/" ] && mkdir "$WORKDIR/new-desktop-directories/"

for dfile in $(ls -1 "$WORKDIR/desktop-directories/")
do

echo "Translating $dfile"

newdfile="$WORKDIR/new-desktop-directories/$dfile"

xNAME=`cat "$WORKDIR/desktop-directories/$dfile" | grep "^Name=" | cut -f 2 -d '='`
xICON=`cat "$WORKDIR/desktop-directories/$dfile" | grep "^Icon=" | cut -f 2 -d '='`
xTYPE=`cat "$WORKDIR/desktop-directories/$dfile" | grep "^Type=" | cut -f 2 -d '='`

echo "[Desktop Entry]
Encoding=UTF-8
Name=$xNAME" > "$newdfile"

if [ -e "$WORKDIR/menu-names/$(echo "$xNAME" | sed -e "s#\ #_#g").csv" ]; then

 while read LINE
 do
  
  langsym="$(echo $LINE | cut -f 2 -d ',' | sed -e "s#\"##g" -e "s#\-#_#g")"
  value="$(echo $LINE | cut -f 3 -d ',' | sed -e "s#\"##g")"
  
  if [ "$langsym" != "symbol" ]; then
   
   if [ "$(echo "$langsym" | grep "_")" != "" ]; then
    mlang=$(echo "$langsym" | cut -f 1 -d '_')
    slang=$(echo "$langsym" | cut -f 2 -d '_')
    langsym="${mlang}_${slang^^}"
   fi
   
   if [ "$xNAME" != "$value" ]; then
    echo "Name[$langsym]=$value" >> "$newdfile"
   fi
  
  fi
  
 done < "$WORKDIR/menu-names/$(echo "$xNAME" | sed -e "s#\ #_#g").csv"
 
fi

 echo "Icon=$xICON" >> "$newdfile"
 echo "Type=$xTYPE" >> "$newdfile"

done

echo "Translated file were saved in $WORKDIR/new-desktop-directories/"
